/*
 * This file is part of W3Olista, the statistics gathering program for
 * the WWW.                  This sourcecode is (c) Frank Pilhofer '95
 *
 * It is  distributed without warranty. The complete license terms for
 * this software  are included in  the file 'License.html'  in the doc
 * subdirectory. If  your copy came  without this file, you should get
 * it on the Web at    http://www.uni-frankfurt.de/~fp/Tools/W3Olista/
 * or contact the author,               fp@informatik.uni-frankfurt.de
 */


/*
 * Structure for monitoring the progress
 *
 */

#ifdef SHMONITOR

/*
 * Flags
 */

#define MF_IDLE		0
#define MF_INIT		1
#define MF_LOADING	2
#define MF_REPORT	3
#define MF_WRITE	4

typedef struct {
  int  cookie;
  int  haschanged;
  int  flag;
  int  reptype;
  int  totline;
  int  hopline;
  int  momline;
  int  heapused;
  char remote [512];
  char momfile[512];
} shmonitor;

#endif
